ByteVector (Lucene 3.6.2 API)
Keywords: org.apache.lucene.analysis.compound.hyphenation.ByteVector class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.compound.hyphenation
Class ByteVector

    java.lang.Object
      org.apache.lucene.analysis.compound.hyphenation.ByteVector

All Implemented Interfaces:
  Serializable

    public class ByteVector

extends Object
implements Serializable

This class implements a simple byte vector with access to the underlying array. This class has been taken from the Apache FOP project (http://xmlgraphics.apache.org/fop/). They have been slightly modified.

See Also:
  Serialized Form

Constructor Summary
`ByteVector()`
`ByteVector(byte[] a)`
`ByteVector(byte[] a, int capacity)`
`ByteVector(int capacity)`

Method Summary
`int` | `alloc(int size)` This is to implement memory allocation in the array.
`int` | `capacity()` returns current capacity of array
`byte` | `get(int index)`
`byte[]` | `getArray()`
`int` | `length()` return number of items in array
`void` | `put(int index, byte val)`
`void` | `trimToSize()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ByteVector

    public ByteVector()

### ByteVector

    public ByteVector(int capacity)

### ByteVector

    public ByteVector(byte[] a)

### ByteVector

    public ByteVector(byte[] a,
                      int capacity)

Method Detail

### getArray

    public byte[] getArray()

### length

    public int length()

  return number of items in array

### capacity

    public int capacity()

  returns current capacity of array

### put

    public void put(int index,
                    byte val)

### get

    public byte get(int index)

### alloc

    public int alloc(int size)

  This is to implement memory allocation in the array. Like malloc().

### trimToSize

    public void trimToSize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD